If you're on a version that's older than 1.2.6, you MUST download a new version from our website. The "Automatic Update" and "Check for Updates" functions in any previous versions no longer work due to a previously undiscovered bug.

Before installing version 1.2.6 (or a newer version), please be sure to remove any previous version of Reflector from your PC. new versions can not be installed over top of previous versions. The newest version can be downloaded by clicking "Try Reflector" at http://reflectorapp.com.